using CloudGaming.Api.Base;
using CloudGaming.Code.DataAccess;
using CloudGaming.Code.Other;
using CloudGaming.DtoModel.Account.User;
using CloudGaming.DtoModel.SevenSign;
using CloudGaming.Model.DbSqlServer.Db_Phone;

using HuanMeng.DotNetCore.Base;

using Microsoft.AspNetCore.Authorization;
using Microsoft.AspNetCore.Mvc;

namespace CloudGaming.Api.Controllers
{
    /// <summary>
    /// 七天签到
    /// </summary>
    public class SevenDayController : CloudGamingControllerBase
    {
        public SevenDayController(IServiceProvider _serviceProvider) : base(_serviceProvider)
        {
        }
        /// <summary>
        /// 七天签到
        /// </summary>
        /// <returns></returns>
        [HttpGet]
        public async Task<SevenDayDto> GetSevenSignList()
        {
            SevenSignBLL sevenSignBLL = new SevenSignBLL(ServiceProvider);
            return await sevenSignBLL.GetSevenSignList();
        }

        /// <summary>
        /// 签到接口
        /// </summary>
        /// <returns></returns>
        [HttpPost]
        [Authorize]
        public async Task<BaseResponse<bool>> SevenSignToday()
        {
            SevenSignBLL sevenSignBLL = new SevenSignBLL(ServiceProvider);
            return await sevenSignBLL.SevenSignToday();
        }

    }
}
